Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class StoragePDACollectionRows
    Inherits BaseObject
    Private _StoragePDACollectionHeader As StoragePDACollectionHeader
    Private _Products As Products
    Private _QTT As Double
    Private _QTT_Processed As Double
    Private _Description As String
    Private _StorageLocation As StorageLocation
    Private _DateModified As Date
    Private _ConnectOid As Guid
    Private _PacketNumber As String 'Kötegszám
    Private _SerialNumber As String 'Sorozatszám

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        Me.QTT = 0
    End Sub
    <RuleRequiredField("StoragePDACollectionRows-StoragePDACollectionHeader", DefaultContexts.Save)> _
    <Association("StoragePDACollectionHeader-StoragePDACollectionRows", GetType(StoragePDACollectionHeader))> _
    Property StoragePDACollectionHeader As StoragePDACollectionHeader
        Get
            Return _StoragePDACollectionHeader
        End Get
        Set(value As StoragePDACollectionHeader)
            SetPropertyValue("StoragePDACollectionHeader", _StoragePDACollectionHeader, value)
        End Set
    End Property
    <RuleRequiredField("StoragePDACollectionRows-Products", DefaultContexts.Save)> _
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property QTT_Processed As Double
        Get
            Return _QTT_Processed
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Processed", _QTT_Processed, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property StorageLocation As StorageLocation
        Get
            Return _StorageLocation
        End Get
        Set(value As StorageLocation)
            SetPropertyValue("StorageLocation", _StorageLocation, value)
        End Set
    End Property
    Property DateModified As Date
        Get
            Return _DateModified
        End Get
        Set(value As Date)
            SetPropertyValue("DateModified", _DateModified, value)
        End Set
    End Property
    <Browsable(False)> _
    Property ConnectOid As Guid
        Get
            Return _ConnectOid
        End Get
        Set(value As Guid)
            SetPropertyValue("ConnectOid", _ConnectOid, value)
        End Set
    End Property
    Property PacketNumber As String
        Get
            Return _PacketNumber
        End Get
        Set(value As String)
            SetPropertyValue("PacketNumber", _PacketNumber, value)
        End Set
    End Property
    Property SerialNumber As String
        Get
            Return _SerialNumber
        End Get
        Set(value As String)
            SetPropertyValue("SerialNumber", _SerialNumber, value)
        End Set
    End Property

End Class
